clang-tools 10.0.0

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
clang::clangd::TestTU Struct Reference

`#include <TestTU.h>`

Collaboration diagram for clang::clangd::TestTU:
[legend]

## Public Member Functions
ParsedAST | build () const
SymbolSlab | headerSymbols () const
std::unique_ptr< SymbolIndex > | index () const

## Static Public Member Functions
static TestTU | withCode (llvm::StringRef Code)
static TestTU | withHeaderCode (llvm::StringRef HeaderCode)

## Public Attributes
std::string | Code
std::string | Filename = "TestTU.cpp"
std::string | HeaderCode
std::string | HeaderFilename = "TestTU.h"
llvm::StringMap< std::string > | AdditionalFiles
std::vector< const char * > | ExtraArgs
llvm::Optional< std::string > | ClangTidyChecks
llvm::Optional< std::string > | ClangTidyWarningsAsErrors
const SymbolIndex * | ExternalIndex = nullptr
bool | ImplicitHeaderGuard = true

## Detailed Description

Definition at line 32 of file TestTU.h.

## Member Function Documentation

## ◆ build()

ParsedAST clang::clangd::TestTU::build | ( |  | ) | const

Definition at line 22 of file TestTU.cpp.

References AdditionalFiles, clang::clangd::buildTestFS(), clang::tidy::ClangTidyOptions::Checks, ClangTidyChecks, clang::clangd::ParseOptions::ClangTidyOpts, ClangTidyWarningsAsErrors, Code, clang::clangd::ParseInputs::CompileCommand, clang::clangd::ParseInputs::Contents, ExternalIndex, ExtraArgs, Filename, Files, clang::clangd::ParseInputs::FS, HeaderCode, HeaderFilename, ImplicitHeaderGuard, clang::clangd::ParseInputs::Index, clang::clangd::ParseInputs::Opts, clang::clangd::ParseOptions::SuggestMissingIncludes, clang::clangd::testPath(), clang::clangd::testRoot(), and clang::tidy::ClangTidyOptions::WarningsAsErrors.

Referenced by clang::clangd::TweakTest::apply(), headerSymbols(), and index().

## ◆ headerSymbols()

SymbolSlab clang::clangd::TestTU::headerSymbols | ( |  | ) | const

Definition at line 81 of file TestTU.cpp.

References clang::clangd::AST, build(), and clang::clangd::indexHeaderSymbols().

## ◆ index()

std::unique_ptr< SymbolIndex > clang::clangd::TestTU::index | ( |  | ) | const

Definition at line 88 of file TestTU.cpp.

References clang::clangd::AST, build(), and Filename.

## ◆ withCode()

static TestTU clang::clangd::TestTU::withCode | ( | llvm::StringRef | Code | ) |
| inline static

Definition at line 33 of file TestTU.h.

References Code.

## ◆ withHeaderCode()

static TestTU clang::clangd::TestTU::withHeaderCode | ( | llvm::StringRef | HeaderCode | ) |
| inline static

Definition at line 39 of file TestTU.h.

References HeaderCode.

## Member Data Documentation

## ◆ AdditionalFiles

llvm::StringMap<std::string> clang::clangd::TestTU::AdditionalFiles

Definition at line 54 of file TestTU.h.

Referenced by clang::clangd::TweakTest::apply(), and build().

## ◆ ClangTidyChecks

llvm::Optional<std::string> clang::clangd::TestTU::ClangTidyChecks

Definition at line 59 of file TestTU.h.

Referenced by build().

## ◆ ClangTidyWarningsAsErrors

llvm::Optional<std::string> clang::clangd::TestTU::ClangTidyWarningsAsErrors

Definition at line 60 of file TestTU.h.

Referenced by build().

## ◆ Code

std::string clang::clangd::TestTU::Code

Definition at line 46 of file TestTU.h.

Referenced by clang::clangd::TweakTest::apply(), build(), and withCode().

## ◆ ExternalIndex

const SymbolIndex* clang::clangd::TestTU::ExternalIndex = nullptr

Definition at line 62 of file TestTU.h.

Referenced by build().

## ◆ ExtraArgs

std::vector<const char *> clang::clangd::TestTU::ExtraArgs

Definition at line 57 of file TestTU.h.

Referenced by clang::clangd::TweakTest::apply(), and build().

## ◆ Filename

std::string clang::clangd::TestTU::Filename = "TestTU.cpp"

Definition at line 47 of file TestTU.h.

Referenced by clang::clangd::TweakTest::apply(), build(), and index().

## ◆ HeaderCode

std::string clang::clangd::TestTU::HeaderCode

Definition at line 50 of file TestTU.h.

Referenced by clang::clangd::TweakTest::apply(), build(), and withHeaderCode().

## ◆ HeaderFilename

std::string clang::clangd::TestTU::HeaderFilename = "TestTU.h"

Definition at line 51 of file TestTU.h.

Referenced by build().

## ◆ ImplicitHeaderGuard

bool clang::clangd::TestTU::ImplicitHeaderGuard = true

Definition at line 65 of file TestTU.h.

Referenced by build().

The documentation for this struct was generated from the following files:

- TestTU.h
- TestTU.cpp